{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To retrieve the consent record for a specific environment, send a GET\nrequest to `/v1/consent/{environment_id}`. The response includes an `enabled`\nfield indicating whether signals collection is on for this environment.\n\nThis endpoint only serves per-environment (`source: agent`) records. Team-level\ninference consent is read from `GET /v1/consent?source=inference`.\n","properties":{"path":{"type":"object","properties":{"environment_id":{"type":"string","format":"uuid","examples":["019fb3d2-8a56-72cc-8bf9-9d21510b2a99"],"description":"A unique identifier for an environment. For Harness Runtime, this is the Environment Config ID. Formerly named agent_id."}},"required":["environment_id"],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Retrieve Consent for an Environment","id":"digitalocean.signals_get_consent","example":{"path":{"environment_id":"019fb3d2-8a56-72cc-8bf9-9d21510b2a99"}},"maxRequests":1,"summary":false}}